
#include <stdio.h>
#include <stdlib.h>
#include "lib.h"

#include "ml.h"

extern	Library	**LibAry ;
extern	int		(**SystemFunc)();

/*	_mlinit.c	*/
extern	void	_MLInit( Library* );

static	int		ver = ( 2 << 20 ) + ( 0 << 10 ) + 2 ;

void	MLInit()
{
	Library	*libinfo ;
	int		id ;
	
	LibraryInit();
	id = LibraryGet( "Macro Language Library" );

	if ( id == 0 )
	{
		printf( "\'Marco Language\' Cu풓Ă܂B\n" );
		exit( 1 );
	}
	libinfo = LibraryGetInfo( id );
	if ( ( libinfo->ver1 << 20 ) + ( libinfo->ver2 << 10 ) + libinfo->ver3 < ver )
	{
		printf( "\'Marco Language\' Cũo[WႢ܂B\n" );
		exit( 1 );
	}
	
	_MLInit( LibAry[id] );
	__MLInit( SystemFunc );
}
